package com.quant.entity;

import java.sql.Timestamp;
import java.util.Date;

/**
 * User entity. @author MyEclipse Persistence Tools
 */

public class User implements java.io.Serializable {

	// Fields

	private Integer id;
	private Integer uid;
	private String name;
	private String mobile;
	private Integer verifyMobile;
	private Integer companyId;
	private String portraitUri;
	private String verifyReg;
	private String password;
	private Timestamp regDate;
	private Integer role;
	private String cardUri;
	private String email;
	private String birthday;
	private Integer education;
	private Integer isVerify;
	private Integer gender;

	// Constructors

	/** default constructor */
	public User() {
	}

	/** full constructor */
	public User(Integer uid, String name, String mobile, Integer verifyMobile,
			Integer companyId, String portraitUri, String verifyReg,
			String password, Timestamp regDate, Integer role, String cardUri,
			String email, String birthday, Integer education, Integer isVerify,
			Integer gender) {
		this.uid = uid;
		this.name = name;
		this.mobile = mobile;
		this.verifyMobile = verifyMobile;
		this.companyId = companyId;
		this.portraitUri = portraitUri;
		this.verifyReg = verifyReg;
		this.password = password;
		this.regDate = regDate;
		this.role = role;
		this.cardUri = cardUri;
		this.email = email;
		this.birthday = birthday;
		this.education = education;
		this.isVerify = isVerify;
		this.gender = gender;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getUid() {
		return this.uid;
	}

	public void setUid(Integer uid) {
		this.uid = uid;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getMobile() {
		return this.mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public Integer getVerifyMobile() {
		return this.verifyMobile;
	}

	public void setVerifyMobile(Integer verifyMobile) {
		this.verifyMobile = verifyMobile;
	}

	public Integer getCompanyId() {
		return this.companyId;
	}

	public void setCompanyId(Integer companyId) {
		this.companyId = companyId;
	}

	public String getPortraitUri() {
		return this.portraitUri;
	}

	public void setPortraitUri(String portraitUri) {
		this.portraitUri = portraitUri;
	}

	public String getVerifyReg() {
		return this.verifyReg;
	}

	public void setVerifyReg(String verifyReg) {
		this.verifyReg = verifyReg;
	}

	public String getPassword() {
		return this.password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public Timestamp getRegDate() {
		return this.regDate;
	}

	public void setRegDate(Timestamp regDate) {
		this.regDate = regDate;
	}

	public Integer getRole() {
		return this.role;
	}

	public void setRole(Integer role) {
		this.role = role;
	}

	public String getCardUri() {
		return this.cardUri;
	}

	public void setCardUri(String cardUri) {
		this.cardUri = cardUri;
	}

	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getBirthday() {
		return this.birthday;
	}

	public void setBirthday(String birthday) {
		this.birthday = birthday;
	}

	public Integer getEducation() {
		return this.education;
	}

	public void setEducation(Integer education) {
		this.education = education;
	}

	public Integer getIsVerify() {
		return this.isVerify;
	}

	public void setIsVerify(Integer isVerify) {
		this.isVerify = isVerify;
	}

	public Integer getGender() {
		return this.gender;
	}

	public void setGender(Integer gender) {
		this.gender = gender;
	}

}